Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1651122 - Cannot start video call in Cisco Spark
Summary: Cannot start video call in Cisco Spark
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: chromium
Version: 29
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-19 09:11 UTC by Frank Ansari
Modified: 2019-11-27 20:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 20:28:50 UTC
Type: Bug


Attachments (Terms of Use)

Description Frank Ansari 2018-11-19 09:11:00 UTC
Description of problem:
When I start a video call with Cisco Spark (https://teams.webex.com/) I get an error message: "Could not acquire local media. Please check you settings".

The webcam is blocked after this. I can then either replug the device or stop Chromium.

This does not happen with Google hangouts for example.

Also I could use an online webcam test without having issues:

https://www.onlinemictest.com/webcam-test/


Version-Release number of selected component (if applicable):
chromium-69.0.3497.100-1.fc29.x86_64

How reproducible:
Start a Cisco Spark call with Chromium browser.

Steps to Reproduce:
1.
2.
3.

Actual results:
Phone call is initiated.

Expected results:
Webcam is hanging.

Additional info:
Fedora 29 Silverblue.

The issue does not happen with Chrome browser. Also I could test Chromium with Windows and also there this issue does not appear.

Comment 1 Frank Ansari 2018-11-19 09:14:22 UTC
Sorry, I mixed it up:

Actual results:
Webcam is hanging.


Expected results:
Phone call is initiated.

Also one additional note: when I start the call I see the LED of my webcam turns on. But it is hanging. If I try to use "Cheese" after this it does not work because the webcam is blocked by Chromium.

Comment 2 Tom "spot" Callaway 2018-11-26 16:50:38 UTC
Best guess? The video format that Chromium needs to use Cisco Spark is not enabled in the Fedora Chromium build (for legal reasons). rpmfusion has a "chromium-libs-media-freeworld" replacement package that you could try. If installing that resolves the issue, then, I would suggest that you either use that (or Google Chrome), but I cannot resolve it in the Fedora Chromium.

Comment 3 Frank Ansari 2018-12-21 19:08:22 UTC
Meanwhile I was able to test this. Same error.

I have removed Chromium from my system.

Comment 4 Akarshan Biswas 2018-12-22 18:11:36 UTC
> If I try to use "Cheese" after this it does not work because the webcam is blocked by Chromium.

Seems like a completely different issue to me. Do you face this issue in Google Chrome?

Comment 5 Frank Ansari 2018-12-23 15:29:12 UTC
No, there are no such issues with Chrome.

Disadvantage of Chrome is that you cannot install the rpm package the normal way because files are installed in /opt which is not allowed for rpm packages with Silverblue.

So what I did is I wrote a script which did all the necessary installation steps (rpm2cpio then upnack the cpio and so on) to have a more or less automatic update procedure for Chrome.

Chromium could be an alternative if everything would work - which is obviously not the case.

Comment 6 Ben Cotton 2019-10-31 20:15:59 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2019-11-27 20:28:50 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.